
#include <stdio.h>
#include <math.h>
#include <iostream>
#include <stdlib.h>
#include <vector>
#include <dirent.h>
#include <string.h>
#include <fstream>
// required for URBI
#include "../../liburbi-cpp-0.9.3/src/liburbi/uclient.h"
#include "../../liburbi-cpp-0.9.3/src/liburbi/usyncclient.h"
#include "../../liburbi-cpp-0.9.3/src/liburbi/uabstractclient.h"
// required for the neural nets
#include "../lib_and_h/Network.h"
#include "../lib_and_h/FirstOrderDynamicCTRNN.h"
#include "../lib_and_h/Neuron.h"

#include "static_values.h"

#define inputDimension 24	  // number of input neurons per network
#define hiddenDimension 5	  // number of hidden neurons per network
#define outputDimension 1	  // number of output neurons per network

using namespace std;

class Neurocontrolador
{
	public :
		Neurocontrolador();  // constructor
		
		void normalize_sensor_values ();
		void quantify_ANN_values ();
		void send_commands_to_joints ();
		void readSensors();
		void calculaRedes();
	
		USyncClient *Travolta; // Connection client
		double * sensors;
	
	private:
		
		int sampletime;
	
};
