#ifndef NETWORK_DATA_H
#define NETWORK_DATA_H


// Aibo's standard IP address
static const char* const DEFAULT_IP = "192.168.10.100";

// port for all network connections with Aibo
static const int COMMAND_PORT = 54321;

// size of send/receive buffers
static const int BUFSIZE = 512;

// timeouts (in seconds) for send and receive operations
static const int SEND_TIMEOUT = 2;
static const int RECEIVE_TIMEOUT = 2;

#endif // NETWORK_DATA_H
